Skip to content
Permalink
Browse files

Build: Update most dependencies

The only packages not fully updated are:
- qunitjs & karma-qunit as that's a QUnit 2.x update that will require some
changes and we'll do that later
- jsdom as we need to first rewrite the test with the Symbol polyfill - newer
jsdom versions don't work with such a hacked Symbol instance
- sinon as the v2 -> v7 upgrade requires to update our unit tests
- uglify-js & grunt-contrib-uglify as latest uglify-js versions slightly worsen
the minified gzipped size

Closes gh-4227
Closes gh-4228
Closes gh-4230
Closes gh-4232
  • Loading branch information...
abnud1 authored and mgol committed Nov 11, 2018
1 parent c349818 commit 8751e9ef86c007e55c9e4a2fe3c9212fb2cadcca
Showing with 24 additions and 20 deletions.
  1. +1 −1 Gruntfile.js
  2. +3 −3 external/requirejs/require.js
  3. +20 −16 package.json
@@ -38,7 +38,7 @@ module.exports = function( grunt ) {
options: {
sourceMap: "inline",
retainLines: true,
plugins: [ "transform-es2015-for-of" ]
plugins: [ "@babel/transform-for-of" ]
},
nodeSmokeTests: {
files: {
@@ -1,5 +1,5 @@
/** vim: et:ts=4:sw=4:sts=4
* @license RequireJS 2.3.5 Copyright jQuery Foundation and other contributors.
* @license RequireJS 2.3.6 Copyright jQuery Foundation and other contributors.
* Released under MIT license, https://github.com/requirejs/requirejs/blob/master/LICENSE
*/
//Not using strict: uneven strict support in browsers, #392, and causes
@@ -11,7 +11,7 @@ var requirejs, require, define;
(function (global, setTimeout) {
var req, s, head, baseElement, dataMain, src,
interactiveScript, currentlyAddingScript, mainScript, subPath,
version = '2.3.5',
version = '2.3.6',
commentRegExp = /\/\*[\s\S]*?\*\/|([^:"'=]|^)\/\/.*$/mg,
cjsRequireRegExp = /[^.]\s*require\s*\(\s*["']([^'"\s]+)["']\s*\)/g,
jsSuffixRegExp = /\.js$/,
@@ -165,7 +165,7 @@ var requirejs, require, define;
* @returns {Error}
*/
function makeError(id, msg, err, requireModules) {
var e = new Error(msg + '\nhttp://requirejs.org/docs/errors.html#' + id);
var e = new Error(msg + '\nhttps://requirejs.org/docs/errors.html#' + id);
e.requireType = id;
e.requireModules = requireModules;
if (err) {
@@ -25,29 +25,29 @@
"license": "MIT",
"dependencies": {},
"devDependencies": {
"babel-core": "7.0.0-beta.0",
"babel-plugin-transform-es2015-for-of": "7.0.0-beta.0",
"@babel/core": "7.3.3",
"@babel/plugin-transform-for-of": "7.2.0",
"commitplease": "3.2.0",
"core-js": "2.5.7",
"core-js": "2.6.5",
"eslint-config-jquery": "1.0.1",
"grunt": "1.0.3",
"grunt-babel": "7.0.0",
"grunt-cli": "1.2.0",
"grunt-babel": "8.0.0",
"grunt-cli": "1.3.2",
"grunt-compare-size": "0.4.2",
"grunt-contrib-uglify": "3.3.0",
"grunt-contrib-uglify": "3.4.0",
"grunt-contrib-watch": "1.1.0",
"grunt-eslint": "20.2.0",
"grunt-eslint": "21.0.0",
"grunt-git-authors": "3.2.0",
"grunt-jsonlint": "1.1.0",
"grunt-karma": "2.0.0",
"grunt-karma": "3.0.1",
"grunt-newer": "1.3.0",
"grunt-npmcopy": "0.1.0",
"gzip-js": "0.3.2",
"husky": "0.14.3",
"husky": "1.3.1",
"insight": "0.10.1",
"jsdom": "5.6.1",
"karma": "2.0.3",
"karma-browserstack-launcher": "1.3.0",
"karma": "4.0.0",
"karma-browserstack-launcher": "1.4.0",
"karma-chrome-launcher": "2.2.0",
"karma-firefox-launcher": "1.1.0",
"karma-ie-launcher": "1.0.0",
@@ -59,22 +59,20 @@
"qunit-assert-step": "1.1.1",
"qunitjs": "1.23.1",
"raw-body": "2.3.3",
"requirejs": "2.3.5",
"requirejs": "2.3.6",
"sinon": "2.3.7",
"sizzle": "2.3.3",
"strip-json-comments": "2.0.1",
"testswarm": "1.1.0",
"uglify-js": "3.4.0"
"uglify-js": "3.4.7"
},
"scripts": {
"build": "npm install && grunt",
"start": "grunt watch",
"test:browserless": "grunt && grunt test:slow",
"test:browser": "grunt && grunt karma:main",
"test": "grunt && grunt test:slow && grunt karma:main",
"jenkins": "npm run test:browserless",
"precommit": "grunt lint:newer qunit_fixture",
"commitmsg": "node node_modules/commitplease"
"jenkins": "npm run test:browserless"
},
"commitplease": {
"nohook": true,
@@ -105,5 +103,11 @@
],
"markerPattern": "^((clos|fix|resolv)(e[sd]|ing))|^(refs?)",
"ticketPattern": "^((Closes|Fixes) ([a-zA-Z]{2,}-)[0-9]+)|^(Refs? [^#])"
},
"husky": {
"hooks": {
"commit-msg": "node node_modules/commitplease",
"pre-commit": "grunt lint:newer qunit_fixture"
}
}
}

0 comments on commit 8751e9e

Please sign in to comment.
You can’t perform that action at this time.